function [Loss]=tntmodelpj(W1, W3, W5, W6, x_1, x_2, x_3, x_4, x_5, x_6, x_7, y_1, y_2, y_3, y_4, y_5, y_6, y_7)
%Blast wall  or 
`
l1=5.22;
l2=11.42;
l3=7.68;
l4=8.48;
l5=7.68;
l6=2.6;
l7=2.4;
 
d1=5.22;
d2=11.42;
d3=7.68;
d4=8.48;
d5=7.68;
d6=2.6;
d7=2.4;
 
z_1 = l1/2;
z_2 = l2/2;
z_3 = l3/2;
z_4 = l4/2;
z_5 = l5/2;
z_6 = l6/2;
z_7 = l7/2;
 
Cost1=335000;
Cost2=11000;
Cost3=107000;
Cost4=4000;
Cost5=81300;
Cost6=5000;
Cost7=1500;
 
 
BW1=1.44*l1*1.44*d1*l1;
BW3=1.44*l3*1.44*d3*l3;
BW5=1.44*l5*1.44*d5*l5;
BW6=1.44*l6*1.44*d6*l6;


if W1<1;
    W1=0;
else
    W1=1;
end
 
if W3<1;
    W3=0;
else
    W3=1;
end
 
if W5<1;
    W5=0;
else
    W5=1;
end
 
if W6<1;
    W6=0;
else
    W6=1;
end
 
TS1=sqrt((0.8*d1)^2+(0.8*l1)^2);
TS3=sqrt((0.8*d3)^2+(0.8*l3)^2);
TS5=sqrt((0.8*d5)^2+(0.8*l5)^2);
TS6=sqrt((0.8*d6)^2+(0.8*l6)^2);


eta1 = 0.05;%input('what is efficiency of combustible gas?');
mass1 = (l1^3)*1.11;%input('what is the mass(kg) of combustible gas?');
Ec1 = 17064; %input('what is the combustion heat(unit: kJ/kg) of combustible?');

eta3 = 0.05;%input('what is efficiency of combustible gas?');
Mass3 = (l3^3)*1.11;%input('what is the mass(kg) of combustible gas?');
Ec3 = 17064; %input('what is the combustion heat(unit: kJ/kg) of combustible?');

eta5 = 0.05;%input('what is efficiency of combustible gas?');
mass5 = (l5^3)*1.11;%input('what is the mass(kg) of combustible gas?');
Ec5 = 17064; %input('what is the combustion heat(unit: kJ/kg) of combustible?');

eta6 = 0.05;%input('what is efficiency of combustible gas?');
mass6 = (l6^3)*1.11;%input('what is the mass(kg) of combustible gas?');
Ec6 = 17064; %input('what is the combustion heat(unit: kJ/kg) of combustible?');


ETNT = 4600; %unit: kJ/kg


WTNT1 = (eta1*mass1*Ec1)/ETNT;
ZG1 = TS1/((WTNT1)^(1/3));

WTNT3 = (eta3*mass3*Ec3)/ETNT;
ZG3 = TS3/((WTNT3)^(1/3));
 
WTNT5 = (eta5*mass5*Ec5)/ETNT;
ZG5 = TS5/((WTNT5)^(1/3));

WTNT6 = (eta6*mass6*Ec6)/ETNT;
ZG6 = TS6/((WTNT6)^(1/3));

?
OP1 = 2.718281828^(0.2518*(log(ZG1))^2 - 2.0225*(log(ZG1)) + 5.8095);
OP3 = 2.718281828^(0.2518*(log(ZG3))^2 - 2.0225*(log(ZG3)) + 5.8095);
OP5 = 2.718281828^(0.2518*(log(ZG5))^2 - 2.0225*(log(ZG5)) + 5.8095);
OP6 = 2.718281828^(0.2518*(log(ZG6))^2 - 2.0225*(log(ZG6)) + 5.8095);

if OP1>300
    K1=1;
else K1=0;
end
 
if OP3>300
    K3=1;
else K3=0;
end
 
if OP5>300
    K5=1;
else K5=0;
end
 
if OP6>300
    K6=1;
else K6=0;
end
 

H_1=1;
H_2=1;
H_3=1;
H_4=1;
H_5=1;
H_6=1;
H_7=1;

H=8;
 
 
r1_2=sqrt(abs(x_1-x_2)^2+abs(y_1-y_2)^2)-sqrt((0.5*d2)^2+(0.5*l2)^2);
r1_3=sqrt(abs(x_1-x_3)^2+abs(y_1-y_3)^2)-sqrt((0.5*d3)^2+(0.5*l3)^2);
r1_4=sqrt(abs(x_1-x_4)^2+abs(y_1-y_4)^2)-sqrt((0.5*d4)^2+(0.5*l4)^2);
r1_5=sqrt(abs(x_1-x_5)^2+abs(y_1-y_5)^2)-sqrt((0.5*d5)^2+(0.5*l5)^2);
r1_6=sqrt(abs(x_1-x_6)^2+abs(y_1-y_6)^2)-sqrt((0.5*d6)^2+(0.5*l6)^2);
r1_7=sqrt(abs(x_1-x_7)^2+abs(y_1-y_7)^2)-sqrt((0.5*d7)^2+(0.5*l7)^2);

 
if r1_2<0;
    r1_2=0;
end
if r1_3<0;
    r1_3=0;
end
if r1_4<0;
    r1_4=0;
end
if r1_5<0;
    r1_5=0;
end
if r1_6<0;
    r1_6=0;
end
if r1_7<0;
    r1_7=0;
end

r3_2=sqrt(abs(x_3-x_2)^2+abs(y_3-y_2)^2)-sqrt((0.5*d2)^2+(0.5*l2)^2);
r3_1=sqrt(abs(x_3-x_1)^2+abs(y_3-y_1)^2)-sqrt((0.5*d1)^2+(0.5*l1)^2);
r3_4=sqrt(abs(x_3-x_4)^2+abs(y_3-y_4)^2)-sqrt((0.5*d4)^2+(0.5*l4)^2);
r3_5=sqrt(abs(x_3-x_5)^2+abs(y_3-y_5)^2)-sqrt((0.5*d5)^2+(0.5*l5)^2);
r3_6=sqrt(abs(x_3-x_6)^2+abs(y_3-y_6)^2)-sqrt((0.5*d6)^2+(0.5*l6)^2);
r3_7=sqrt(abs(x_3-x_7)^2+abs(y_3-y_7)^2)-sqrt((0.5*d7)^2+(0.5*l7)^2);

 
if r3_2<0;
    r3_2=0;
end
if r3_1<0;
    r3_1=0;
end
if r3_4<0;
    r3_4=0;
end
if r3_5<0;
    r3_5=0;
end
if r3_6<0;
    r3_6=0;
end
if r3_7<0;
    r3_7=0;
end

r5_2=sqrt(abs(x_5-x_2)^2+abs(y_5-y_2)^2)-sqrt((0.5*d2)^2+(0.5*l2)^2);
r5_3=sqrt(abs(x_5-x_3)^2+abs(y_5-y_3)^2)-sqrt((0.5*d3)^2+(0.5*l3)^2);
r5_4=sqrt(abs(x_5-x_4)^2+abs(y_5-y_4)^2)-sqrt((0.5*d4)^2+(0.5*l4)^2);
r5_1=sqrt(abs(x_5-x_1)^2+abs(y_5-y_1)^2)-sqrt((0.5*d1)^2+(0.5*l1)^2);
r5_6=sqrt(abs(x_5-x_6)^2+abs(y_5-y_6)^2)-sqrt((0.5*d6)^2+(0.5*l6)^2);
r5_7=sqrt(abs(x_5-x_7)^2+abs(y_5-y_7)^2)-sqrt((0.5*d7)^2+(0.5*l7)^2);

 
if r5_2<0;
    r5_2=0;
end
if r5_3<0;
    r5_3=0;
end
if r5_4<0;
    r5_4=0;
end
if r5_1<0;
    r5_1=0;
end
if r5_6<0;
    r5_6=0;
end
if r5_7<0;
    r5_7=0;
end

r6_2=sqrt(abs(x_6-x_2)^2+abs(y_6-y_2)^2)-sqrt((0.5*d2)^2+(0.5*l2)^2);
r6_3=sqrt(abs(x_6-x_3)^2+abs(y_6-y_3)^2)-sqrt((0.5*d3)^2+(0.5*l3)^2);
r6_4=sqrt(abs(x_6-x_4)^2+abs(y_6-y_4)^2)-sqrt((0.5*d4)^2+(0.5*l4)^2);
r6_5=sqrt(abs(x_6-x_5)^2+abs(y_6-y_5)^2)-sqrt((0.5*d5)^2+(0.5*l5)^2);
r6_1=sqrt(abs(x_6-x_1)^2+abs(y_6-y_1)^2)-sqrt((0.5*d1)^2+(0.5*l1)^2);
r6_7=sqrt(abs(x_6-x_7)^2+abs(y_6-y_7)^2)-sqrt((0.5*d7)^2+(0.5*l7)^2);

 
if r6_2<0;
    r6_2=0;
end
if r6_3<0;
    r6_3=0;
end
if r6_4<0;
    r6_4=0;
end
if r6_5<0;
    r6_5=0;
end
if r6_1<0;
    r6_1=0;
end
if r6_7<0;
    r6_7=0;
end


alpha1_3=W1*W3;
alpha1_5=W1*W5;
alpha1_6=W1*W6;
alpha3_1=W3*W1;
alpha3_5=W3*W5;
alpha3_6=W3*W6;
alpha5_1=W5*W1;
alpha5_3=W5*W3;
alpha5_6=W5*W6;
alpha6_1=W6*W1;
alpha6_3=W6*W3;
alpha6_5=W6*W5;

 

Pmax=20;
 
if W1==1 && K1==1;
    P1_2=0.8*(2.718281828^(0.2518*(log(r1_2))^2-2.0225*(log(r1_2))+5.8095));
elseif W1==1 & K1==0;
    P1_2=0;
else P1_2=(2.718281828^(0.2518*(log(r1_2))^2 - 2.0225*(log(r1_2)) + 5.8095));
end
    
    if P1_2>Pmax;
        Loss1_2=Cost2;
    else Loss1_2=Cost2*(P1_2/Pmax);
    end
 
if alpha1_3==1;
    ZG_13 = r1_3/((WTNT1)^(1/3));
    OP_13 = 0.8*(2.718281828^(0.2518*(log(ZG_13))^2 - 2.0225*(log(ZG_13)) + 5.8095))*K1;
    
    if OP_13>Pmax;
    K1_3=1;
    else K1_3=0;
    end
    
    P1_3=0.8*0.8*(2.718281828^(0.2518*(log(r1_3))^2 - 2.0225*(log(r1_3)) + 5.8095))*K1*K1_3;
elseif W1==0 & W3==1;
    ZG_13 = r1_3/((WTNT1)^(1/3));
    OP_13 = (2.718281828^(0.2518*(log(ZG_13))^2 - 2.0225*(log(ZG_13)) + 5.8095))*K1;
    
    if OP_13>Pmax;
    K1_3=1;
    else K1_3=0;
    end
       P1_3=(2.718281828^(0.2518*(log(r1_3))^2 - 2.0225*(log(r1_3)) + 5.8095))*K1_3;
       
else  P1_3=(2.718281828^(0.2518*(log(r1_3))^2 - 2.0225*(log(r1_3)) + 5.8095));
    end
    
    if P1_3>Pmax;
        Loss1_3=Cost3;
    else Loss1_3=Cost3*(P1_3/Pmax);
    end

if W1==1 && K1==1;
    P1_4=0.8*(2.718281828^(0.2518*(log(r1_4))^2-2.0225*(log(r1_4))+5.8095));
elseif W1==1 & K1==0;
    P1_4=0;
else P1_4=(2.718281828^(0.2518*(log(r1_4))^2 - 2.0225*(log(r1_4)) + 5.8095));
end
    
    if P1_4>Pmax;
        Loss1_4=Cost4;
    else Loss1_4=Cost4*(P1_4/Pmax);
    end

if alpha1_5==1;
    ZG_15 = r1_5/((WTNT1)^(1/3));
    OP_15 = 0.8*(2.718281828^(0.2518*(log(ZG_15))^2 - 2.0225*(log(ZG_15)) + 5.8095))*K1;
    
    if OP_15>Pmax;
    K1_5=1;
    else K1_5=0;
    end
    
    P1_5=0.8*0.8*(2.718281828^(0.2518*(log(r1_5))^2 - 2.0225*(log(r1_5)) + 5.8095))*K1*K1_5;
elseif W1==0 & W5==1;
    ZG_15 = r1_5/((WTNT1)^(1/3));
    OP_15 = (2.718281828^(0.2518*(log(ZG_15))^2 - 2.0225*(log(ZG_15)) + 5.8095))*K1;
    
    if OP_15>Pmax;
    K1_5=1;
    else K1_5=0;
    end
       P1_5=(2.718281828^(0.2518*(log(r1_5))^2 - 2.0225*(log(r1_5)) + 5.8095))*K1_5;
       
else  P1_5=(2.718281828^(0.2518*(log(r1_5))^2 - 2.0225*(log(r1_5)) + 5.8095));
    end
    
    if P1_5>Pmax;
        Loss1_5=Cost5;
    else Loss1_5=Cost5*(P1_5/Pmax);
    end

if alpha1_6==1;
    ZG_16 = r1_6/((WTNT1)^(1/3));
    OP_16 = 0.8*(2.718281828^(0.2518*(log(ZG_16))^2 - 2.0225*(log(ZG_16)) + 5.8095))*K1;
    
    if OP_16>Pmax;
    K1_6=1;
    else K1_6=0;
    end
    
    P1_6=0.8*0.8*(2.718281828^(0.2518*(log(r1_6))^2 - 2.0225*(log(r1_6)) + 5.8095))*K1*K1_6;
elseif W1==0 & W6==1;
    ZG_16 = r1_6/((WTNT1)^(1/3));
    OP_16 = (2.718281828^(0.2518*(log(ZG_16))^2 - 2.0225*(log(ZG_16)) + 5.8095))*K1;
    
    if OP_16>Pmax;
    K1_6=1;
    else K1_6=0;
    end
       P1_6=(2.718281828^(0.2518*(log(r1_6))^2 - 2.0225*(log(r1_6)) + 5.8095))*K1_6;
       
else  P1_6=(2.718281828^(0.2518*(log(r1_6))^2 - 2.0225*(log(r1_6)) + 5.8095));
    end
    
    if P1_6>Pmax;
        Loss1_6=Cost6;
    else Loss1_6=Cost6*(P1_6/Pmax);
    end

if W1==1 && K1==1;
    P1_7=0.8*(2.718281828^(0.2518*(log(r1_7))^2-2.0225*(log(r1_7))+5.8095));
elseif W1==1 & K1==0;
    P1_7=0;
else P1_7=(2.718281828^(0.2518*(log(r1_7))^2 - 2.0225*(log(r1_7)) + 5.8095));
end
    
    if P1_7>Pmax;
        Loss1_7=Cost7;
    else Loss1_7=Cost7*(P1_7/Pmax);
    end



















if W3==1 && K3==1;
    P3_2=0.8*(2.718281828^(0.2518*(log(r3_2))^2-2.0225*(log(r3_2))+5.8095));
elseif W3==1 & K3==0;
    P3_2=0;
else P3_2=(2.718281828^(0.2518*(log(r3_2))^2 - 2.0225*(log(r3_2)) + 5.8095));
end
    
    if P3_2>Pmax;
        Loss3_2=Cost2;
    else Loss3_2=Cost2*(P3_2/Pmax);
    end



if alpha3_1==1;
    ZG_31 = r3_1/((WTNT3)^(1/3));
    OP_31 = 0.8*(2.718281828^(0.2518*(log(ZG_31))^2 - 2.0225*(log(ZG_31)) + 5.8095))*K3;
    
    if OP_31>Pmax;
    K3_1=1;
    else K3_1=0;
    end
    
    P3_1=0.8*0.8*(2.718281828^(0.2518*(log(r3_1))^2 - 2.0225*(log(r3_1)) + 5.8095))*K3*K3_1;
elseif W3==0 & W1==1;
    ZG_31 = r3_1/((WTNT3)^(1/3));
    OP_31 = (2.718281828^(0.2518*(log(ZG_31))^2 - 2.0225*(log(ZG_31)) + 5.8095))*K3;
    
    if OP_31>Pmax;
    K3_1=1;
    else K3_1=0;
    end
       P3_1=(2.718281828^(0.2518*(log(r3_1))^2 - 2.0225*(log(r3_1)) + 5.8095))*K3_1;
       
else  P3_1=(2.718281828^(0.2518*(log(r3_1))^2 - 2.0225*(log(r3_1)) + 5.8095));
    end
    
    if P3_1>Pmax;
        Loss3_1=Cost1;
    else Loss3_1=Cost1*(P3_1/Pmax);
    end



if W3==1 && K3==1;
    P3_4=0.8*(2.718281828^(0.2518*(log(r3_4))^2-2.0225*(log(r3_4))+5.8095));
elseif W3==1 & K3==0;
    P3_4=0;
else P3_4=(2.718281828^(0.2518*(log(r3_4))^2 - 2.0225*(log(r3_4)) + 5.8095));
end
    
    if P3_4>Pmax;
        Loss3_4=Cost4;
    else Loss3_4=Cost4*(P3_4/Pmax);
    end

if W3==1 && K3==1;
    P3_7=0.8*(2.718281828^(0.2518*(log(r3_7))^2-2.0225*(log(r3_7))+5.8095));
elseif W3==1 & K3==0;
    P3_7=0;
else P3_7=(2.718281828^(0.2518*(log(r3_7))^2 - 2.0225*(log(r3_7)) + 5.8095));
end
    
    if P3_7>Pmax;
        Loss3_7=Cost7;
    else Loss3_7=Cost7*(P3_7/Pmax);
    end


if alpha3_5==1;
    ZG_35 = r3_5/((WTNT3)^(1/3));
    OP_35 = 0.8*(2.718281828^(0.2518*(log(ZG_35))^2 - 2.0225*(log(ZG_35)) + 5.8095))*K3;
    
    if OP_35>Pmax;
    K3_5=1;
    else K3_5=0;
    end
    
    P3_5=0.8*0.8*(2.718281828^(0.2518*(log(r3_5))^2 - 2.0225*(log(r3_5)) + 5.8095))*K3*K3_5;
elseif W3==0 & W5==1;
    ZG_35 = r3_5/((WTNT3)^(1/3));
    OP_35 = (2.718281828^(0.2518*(log(ZG_35))^2 - 2.0225*(log(ZG_35)) + 5.8095))*K3;
    
    if OP_35>Pmax;
    K3_5=1;
    else K3_5=0;
    end
       P3_5=(2.718281828^(0.2518*(log(r3_5))^2 - 2.0225*(log(r3_5)) + 5.8095))*K3_5;
       
else  P3_5=(2.718281828^(0.2518*(log(r3_5))^2 - 2.0225*(log(r3_5)) + 5.8095));
    end
    
    if P3_5>Pmax;
        Loss3_5=Cost5;
    else Loss3_5=Cost5*(P3_5/Pmax);
    end

if alpha3_6==1;
    ZG_36 = r3_6/((WTNT3)^(1/3));
    OP_36 = 0.8*(2.718281828^(0.2518*(log(ZG_36))^2 - 2.0225*(log(ZG_36)) + 5.8095))*K3;
    
    if OP_36>Pmax;
    K3_6=1;
    else K3_6=0;
    end
    
    P3_6=0.8*0.8*(2.718281828^(0.2518*(log(r3_6))^2 - 2.0225*(log(r3_6)) + 5.8095))*K3*K3_6;
elseif W3==0 & W6==1;
    ZG_36 = r3_6/((WTNT3)^(1/3));
    OP_36 = (2.718281828^(0.2518*(log(ZG_36))^2 - 2.0225*(log(ZG_36)) + 5.8095))*K3;
    
    if OP_36>Pmax;
    K3_6=1;
    else K3_6=0;
    end
       P3_6=(2.718281828^(0.2518*(log(r3_6))^2 - 2.0225*(log(r3_6)) + 5.8095))*K3_6;
       
else  P3_6=(2.718281828^(0.2518*(log(r3_6))^2 - 2.0225*(log(r3_6)) + 5.8095));
    end
    
    if P3_6>Pmax;
        Loss3_6=Cost6;
    else Loss3_6=Cost6*(P3_6/Pmax);
    end
















if W5==1 && K5==1;
    P5_2=0.8*(2.718281828^(0.2518*(log(r5_2))^2-2.0225*(log(r5_2))+5.8095));
elseif W5==1 & K5==0;
    P5_2=0;
else P5_2=(2.718281828^(0.2518*(log(r5_2))^2 - 2.0225*(log(r5_2)) + 5.8095));
end
    
    if P5_2>Pmax;
        Loss5_2=Cost2;
    else Loss5_2=Cost2*(P5_2/Pmax);
    end

if W5==1 && K5==1;
    P5_4=0.8*(2.718281828^(0.2518*(log(r5_4))^2-2.0225*(log(r5_4))+5.8095));
elseif W5==1 & K5==0;
    P5_4=0;
else P5_4=(2.718281828^(0.2518*(log(r5_4))^2 - 2.0225*(log(r5_4)) + 5.8095));
end
    
    if P5_4>Pmax;
        Loss5_4=Cost4;
    else Loss5_4=Cost4*(P5_4/Pmax);
    end

if W5==1 && K5==1;
    P5_7=0.8*(2.718281828^(0.2518*(log(r5_7))^2-2.0225*(log(r5_7))+5.8095));
elseif W5==1 & K5==0;
    P5_7=0;
else P5_7=(2.718281828^(0.2518*(log(r5_7))^2 - 2.0225*(log(r5_7)) + 5.8095));
end
    
    if P5_7>Pmax;
        Loss5_7=Cost7;
    else Loss5_7=Cost7*(P5_7/Pmax);
    end







if alpha5_1==1;
    ZG_51 = r5_1/((WTNT5)^(1/3));
    OP_51 = 0.8*(2.718281828^(0.2518*(log(ZG_51))^2 - 2.0225*(log(ZG_51)) + 5.8095))*K5;
    
    if OP_51>Pmax;
    K5_1=1;
    else K5_1=0;
    end
    
    P5_1=0.8*0.8*(2.718281828^(0.2518*(log(r5_1))^2 - 2.0225*(log(r5_1)) + 5.8095))*K5*K5_1;
elseif W5==0 & W1==1;
    ZG_51 = r5_1/((WTNT5)^(1/3));
    OP_51 = (2.718281828^(0.2518*(log(ZG_51))^2 - 2.0225*(log(ZG_51)) + 5.8095))*K5;
    
    if OP_51>Pmax;
    K5_1=1;
    else K5_1=0;
    end
       P5_1=(2.718281828^(0.2518*(log(r5_1))^2 - 2.0225*(log(r5_1)) + 5.8095))*K5_1;
       
else  P5_1=(2.718281828^(0.2518*(log(r5_1))^2 - 2.0225*(log(r5_1)) + 5.8095));
    end
    
    if P5_1>Pmax;
        Loss5_1=Cost1;
    else Loss5_1=Cost1*(P5_1/Pmax);
    end


if alpha5_3==1;
    ZG_53 = r5_3/((WTNT5)^(1/3));
    OP_53 = 0.8*(2.718281828^(0.2518*(log(ZG_53))^2 - 2.0225*(log(ZG_53)) + 5.8095))*K5;
    
    if OP_53>Pmax;
    K5_3=1;
    else K5_3=0;
    end
    
    P5_3=0.8*0.8*(2.718281828^(0.2518*(log(r5_3))^2 - 2.0225*(log(r5_3)) + 5.8095))*K5*K5_3;
elseif W5==0 & W3==1;
    ZG_53 = r5_3/((WTNT5)^(1/3));
    OP_53 = (2.718281828^(0.2518*(log(ZG_53))^2 - 2.0225*(log(ZG_53)) + 5.8095))*K5;
    
    if OP_53>Pmax;
    K5_3=1;
    else K5_3=0;
    end
       P5_3=(2.718281828^(0.2518*(log(r5_3))^2 - 2.0225*(log(r5_3)) + 5.8095))*K5_3;
       
else  P5_3=(2.718281828^(0.2518*(log(r5_3))^2 - 2.0225*(log(r5_3)) + 5.8095));
    end
    
    if P5_3>Pmax;
        Loss5_3=Cost3;
    else Loss5_3=Cost3*(P5_3/Pmax);
    end

if alpha5_6==1;
    ZG_56 = r5_6/((WTNT5)^(1/3));
    OP_56 = 0.8*(2.718281828^(0.2518*(log(ZG_56))^2 - 2.0225*(log(ZG_56)) + 5.8095))*K5;
    
    if OP_56>Pmax;
    K5_6=1;
    else K5_6=0;
    end
    
    P5_6=0.8*0.8*(2.718281828^(0.2518*(log(r5_6))^2 - 2.0225*(log(r5_6)) + 5.8095))*K5*K5_6;
elseif W5==0 & W6==1;
    ZG_56 = r5_6/((WTNT5)^(1/3));
    OP_56 = (2.718281828^(0.2518*(log(ZG_56))^2 - 2.0225*(log(ZG_56)) + 5.8095))*K5;
    
    if OP_56>Pmax;
    K5_6=1;
    else K5_6=0;
    end
       P5_6=(2.718281828^(0.2518*(log(r5_6))^2 - 2.0225*(log(r5_6)) + 5.8095))*K5_6;
       
else  P5_6=(2.718281828^(0.2518*(log(r5_6))^2 - 2.0225*(log(r5_6)) + 5.8095));
    end
    
    if P5_6>Pmax;
        Loss5_6=Cost6;
    else Loss5_6=Cost6*(P5_6/Pmax);
    end


if alpha6_1==1;
    ZG_61 = r6_1/((WTNT6)^(1/3));
    OP_61 = 0.8*(2.718281828^(0.2518*(log(ZG_61))^2 - 2.0225*(log(ZG_61)) + 5.8095))*K6;
    
    if OP_61>Pmax;
    K6_1=1;
    else K6_1=0;
    end
    
    P6_1=0.8*0.8*(2.718281828^(0.2518*(log(r6_1))^2 - 2.0225*(log(r6_1)) + 5.8095))*K6*K6_1;
elseif W6==0 && W1==1;
    ZG_61 = r6_1/((WTNT6)^(1/3));
    OP_61 = (2.718281828^(0.2518*(log(ZG_61))^2 - 2.0225*(log(ZG_61)) + 5.8095))*K6;
    
    if OP_61>Pmax;
    K6_1=1;
    else K6_1=0;
    end
       P6_1=(2.718281828^(0.2518*(log(r6_1))^2 - 2.0225*(log(r6_1)) + 5.8095))*K6_1;
       
else  P6_1=(2.718281828^(0.2518*(log(r6_1))^2 - 2.0225*(log(r6_1)) + 5.8095));
    end
    
    if P6_1>Pmax;
        Loss6_1=Cost1;
    else Loss6_1=Cost1*(P6_1/Pmax);
    end


if alpha6_3==1;
    ZG_63 = r6_3/((WTNT6)^(1/3));
    OP_63 = 0.8*(2.718281828^(0.2518*(log(ZG_63))^2 - 2.0225*(log(ZG_63)) + 5.8095))*K6;
    
    if OP_63>Pmax;
    K6_3=1;
    else K6_3=0;
    end
    
    P6_3=0.8*0.8*(2.718281828^(0.2518*(log(r6_3))^2 - 2.0225*(log(r6_3)) + 5.8095))*K6*K6_3;
elseif W6==0 & W3==1;
    ZG_63 = r6_3/((WTNT6)^(1/3));
    OP_63 = (2.718281828^(0.2518*(log(ZG_63))^2 - 2.0225*(log(ZG_63)) + 5.8095))*K6;
    
    if OP_63>Pmax;
    K6_3=1;
    else K6_3=0;
    end
       P6_3=(2.718281828^(0.2518*(log(r6_3))^2 - 2.0225*(log(r6_3)) + 5.8095))*K6_3;
       
else  P6_3=(2.718281828^(0.2518*(log(r6_3))^2 - 2.0225*(log(r6_3)) + 5.8095));
    end
    
    if P6_3>Pmax;
        Loss6_3=Cost3;
    else Loss6_3=Cost3*(P6_3/Pmax);
    end

if alpha6_5==1;
    ZG_65 = r6_5/((WTNT6)^(1/3));
    OP_65 = 0.8*(2.718281828^(0.2518*(log(ZG_65))^2 - 2.0225*(log(ZG_65)) + 5.8095))*K6;
    
    if OP_65>Pmax;
    K6_5=1;
    else K6_5=0;
    end
    
    P6_5=0.8*0.8*(2.718281828^(0.2518*(log(r6_5))^2 - 2.0225*(log(r6_5)) + 5.8095))*K6*K6_5;
elseif W6==0 & W5==1;
    ZG_65 = r6_5/((WTNT6)^(1/3));
    OP_65 = (2.718281828^(0.2518*(log(ZG_65))^2 - 2.0225*(log(ZG_65)) + 5.8095))*K6;
    
    if OP_65>Pmax;
    K6_5=1;
    else K6_5=0;
    end
       P6_5=(2.718281828^(0.2518*(log(r6_5))^2 - 2.0225*(log(r6_5)) + 5.8095))*K6_5;
       
else  P6_5=(2.718281828^(0.2518*(log(r6_5))^2 - 2.0225*(log(r6_5)) + 5.8095));
    end
    
    if P6_5>Pmax;
        Loss6_5=Cost5;
    else Loss6_5=Cost5*(P6_5/Pmax);
    end








if W6==1 && K6==1;
    P6_2=0.8*(2.718281828^(0.2518*(log(r6_2))^2-2.0225*(log(r6_2))+5.8095));
elseif W6==1 & K6==0;
    P6_2=0;
else P6_2=(2.718281828^(0.2518*(log(r6_2))^2 - 2.0225*(log(r6_2)) + 5.8095));
end
    
    if P6_2>Pmax;
        Loss6_2=Cost2;
    else Loss6_2=Cost2*(P6_2/Pmax);
    end

if W6==1 && K6==1;
    P6_4=0.8*(2.718281828^(0.2518*(log(r6_4))^2-2.0225*(log(r6_4))+5.8095));
elseif W6==1 & K6==0;
    P6_4=0;
else P6_4=(2.718281828^(0.2518*(log(r6_4))^2 - 2.0225*(log(r6_4)) + 5.8095));
end
    
    if P6_4>Pmax;
        Loss6_4=Cost4;
    else Loss6_4=Cost4*(P6_4/Pmax);
    end

if W6==1 && K6==1;
    P6_7=0.8*(2.718281828^(0.2518*(log(r6_7))^2-2.0225*(log(r6_7))+5.8095));
elseif W6==1 & K6==0;
    P6_7=0;
else P6_7=(2.718281828^(0.2518*(log(r6_7))^2 - 2.0225*(log(r6_7)) + 5.8095));
end
    
    if P6_7>Pmax;
        Loss6_7=Cost7;
    else Loss6_7=Cost7*(P6_7/Pmax);
    end



Loss1=Loss1_2+Loss1_3+Loss1_4+Loss1_5+Loss1_6+Loss1_7;
Loss3=Loss3_2+Loss3_1+Loss3_4+Loss3_5+Loss3_6+Loss3_7;
Loss5=Loss5_2+Loss5_3+Loss5_4+Loss5_1+Loss5_6+Loss5_7;
Loss6=Loss6_2+Loss6_3+Loss6_4+Loss6_5+Loss6_1+Loss6_7;


Loss=Loss1+Loss3+Loss5+Loss6;    
        
end

    
    
    
    
